| OGRE 1.10.11 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::ConfigDialog Class Reference
Core » General

Defines the behaviour of an automatic renderer configuration dialog. More...

`#include <OgreConfigDialog.h>`

Inheritance diagram for Ogre::ConfigDialog:
[legend]

## Public Member Functions
| ConfigDialog ()
virtual | ~ConfigDialog ()
virtual bool | display ()
| Displays the dialog. More...

## Detailed Description

Defines the behaviour of an automatic renderer configuration dialog.

Remarks
  OGRE comes with it's own renderer configuration dialog, which applications can use to easily allow the user to configure the settings appropriate to their machine. This class defines the interface to this standard dialog. Because dialogs are inherently tied to a particular platform's windowing system, there will be a different subclass for each platform.

Author
  Steven J. Streeting

## Constructor & Destructor Documentation

## ◆ ConfigDialog()

Ogre::ConfigDialog::ConfigDialog | ( |  | ) |

Deprecated:
  this class will become a pure interface in the future.

Use OgreBites::getNativeConfigDialog instead.

## ◆ ~ConfigDialog()

virtual Ogre::ConfigDialog::~ConfigDialog | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ display()

virtual bool Ogre::ConfigDialog::display | ( |  | ) |
| virtual

Displays the dialog.

Remarks
  This method displays the dialog and from then on the dialog interacts with the user independently. The dialog will be calling the relevant OGRE rendering systems to query them for options and to set the options the user selects. The method returns when the user closes the dialog.

Returns
  If the user accepted the dialog, true is returned.

  If the user cancelled the dialog (indicating the application should probably terminate), false is returned.

See also
  RenderSystem

The documentation for this class was generated from the following file:

- OgreConfigDialog.h